package com.usky.iot;

import com.usky.common.core.bean.ApiResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author han
 * @date 2024/04/26 14:07
 */
@FeignClient(contextId = "remoteMceService", value = "service-iot")
public interface RemoteMceService {
    /**
     * 新增消息
     *
     * @return 消息结果
     */
    @RequestMapping(value = "addMce")
    ApiResult<Void> addMce(@RequestParam(value = "mceReceive",required = false) String mceReceive);
}